--
-- farmerCar
-- Specialization for farmer car mod
--
-- @author  Stefan Geiger
-- @date  10/01/09
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

magnum = {};

function magnum.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function magnum:load(xmlFile)
    hornSoundFile = Utils.getFilename("horn.wav", self.baseDirectory);
    self.hornSoundId = createSample("famerCarSound");
    loadSample(self.hornSoundId, hornSoundFile, false);
    self.hornPlaying = false;
end;

function magnum:delete()
    delete(self.hornSoundId);
end;

function magnum:mouseEvent(posX, posY, isDown, isUp, button)
end;

function magnum:keyEvent(unicode, sym, modifier, isDown)
end;

function magnum:update(dt)
    if self:getIsActiveForInput() and self:getIsActiveForSound() and InputBinding.isPressed(InputBinding.MAGNUM_HORN) then
        if not self.hornPlaying then
            playSample(self.hornSoundId, 0, 1, 0);
            self.hornPlaying = true;
        end;
    else
        if self.hornPlaying then
            stopSample(self.hornSoundId);
            self.hornPlaying = false;
        end;
    end;
end;

function magnum:draw()
    g_currentMission:addHelpButtonText(g_i18n:getText("magnumHorn"), InputBinding.MAGNUM_HORN);
end;

